Sitting-Duc

Punkbuster support for Call of Duty 4

Recommended Posts

Evenbalance no longer supports Call of Duty 4. This does not mean we will be removing Punkbuster - it is still a viable admin tool which provides us with many methods of protecting our servers. It does mean that if you reinstall then the standard PBSetup will be unable to download and setup the files for you. I have therefore added a legacy section to our downloads that will help you setup Punkbuster. 

 

There is now an updated walk-through found here:

http://www.xtremeidiots.com/page/public/bible/_/xi-website/punkbuster-installation-for-call-of-duty-r24

Share this post


Link to post
Share on other sites

Most of you who know me know that I was having a shit load of probs with installing punkbuster for COD4! Come to find out(info for testing) All those probs actually were not PB's fault. My R.A.T.7 failed on me and it wouldn't do anything except up and down. I finally replaced it with a temporary $20 mouse and what do you know all those things that wouldn't work before all of a sudden works great! I went in and tried re-installing pb and within minutes had it all setup and running! Needless to say I am happy as a cucumber in vinegaret dressing! LOL 

Edited by BigPapaDean

Share this post


Link to post
Share on other sites

Hey duc,

 

Where do you extract the windows PB files too?  I am assuming it is into the COD 4 /pb directory. 

 

Cheers,

 

Me

Share this post


Link to post
Share on other sites

@@Devilsbed if you are doing it manually then yes, wherever your game is installed.

 

The easiest way to install pb for the client is to run the first download which is the pbsetup for legacy games.

 

Dux

Share this post


Link to post
Share on other sites

Is there something I'm missing ? I installed punk buster the day I reinstalled the game on to this computer 2 years ago and have never had any trouble is there a different Punk Buster than the one that comes with the game?

 

White Dragon

Share this post


Link to post
Share on other sites

I'm trying to get my COD4 game back up, but I'm having pretty bad issues with PB.  

I've followed all the instructions with pb legacy to get it to work and I'm running 1.7 but I still get kicked out on "init" problems with pb.

 

I found the "legacy pb" to be a pos since it instantly updates itself to v3.8 which doesn't work. I tried stopping it from updating and continuing with the instructions but it still just isn't happy.

Share this post


Link to post
Share on other sites

I have done this and still getting PBkicked. :(

Share this post


Link to post
Share on other sites

Evenbalance no longer supports Call of Duty 4. This does not mean we will be removing Punkbuster - it is still a viable admin tool which provides us with many methods of protecting our servers. It does mean that if you reinstall then the standard PBSetup will be unable to download and setup the files for you. I have therefore added a legacy section to our downloads that will help you setup Punkbuster. 

 

You only need to perform this setup if you play on servers that require Punkbuster.

 

 
 
 

 

The first file is the most important and contains the readme for setting up Punkbuster, the subsequent files are the PB files for the game platforms. 

I would just like to thank you again for doing such an awesome job in helping us idiots to continue to hang out with each other.

Share this post


Link to post
Share on other sites

I changed nothing and it started working.

 

After my reinstall of COD4, I followed this and it worked perfectly! Awesome job!

Share this post


Link to post
Share on other sites

I'm on a Mac.  I keep getting kicked off of COD4.  I Installed a pbsetup for Mac from the Punkbuster site, but when I run it, it doesn't have any games listed to add.  I can't get it to work.   I don't know what to try next.

Share this post


Link to post
Share on other sites

@@Thunderbass not sure if this will work for Mc but give it a look and maybe there is a work around

 

 

http://www.xtremeidiots.com/files/file/26-pbsetup-for-legacy-games/

Share this post


Link to post
Share on other sites

I've done this, uninstalled and did a fresh install and I still keep getting a 5 min ban for packet loss

Share this post


Link to post
Share on other sites

Did all that, it took the udate, and still get kick...  my kick is for   "Cvar_maxfps =400"   I changed the 400 to 50 diff numbers 1-999  :stuart::rant:

Share this post


Link to post
Share on other sites

@@NumNutz either set it to 125 or 250.It kicks for anything over 250.

Share this post


Link to post
Share on other sites

Legacy setup in the 1st post didn´t work for me. This works very well for me ;) !

Edited by gamekiller

Share this post


Link to post
Share on other sites

Freezetag WW2

I keep getting kicked with the following message

RESTRICTION: Service Communication Failure: PnkBstrA.e

Have tried both ways of doing the punkbuster thing but no joy at all!!

Windows 7 Pro

 

Funny thing is I can connect and play fine with my MacBookPro... go figure...

Edited by TokyoElbow

Share this post


Link to post
Share on other sites
Awards

Freezetag WW2

I keep getting kicked with the following message

RESTRICTION: Service Communication Failure: PnkBstrA.e

Have tried both ways of doing the punkbuster thing but no joy at all!!

Windows 7 Pro

 

Funny thing is I can connect and play fine with my MacBookPro... go figure...

 

Sounds like you haven't actually installed Punkbuster and have only installed the game files. Run this program: http://www.evenbalance.com/downloads/pbsvc/pbsvc.exe

 

duc

Share this post


Link to post
Share on other sites

THAT WORKED!!

 

Nice one!!

 

that file sorted it out, not sure why it didn't install using your legacy zip files...must be getting old....

 

Now i just need to learn how to play the bloody game now.

Share this post


Link to post
Share on other sites
Awards

I just got a new HDD, and have a fresh install of cod4 and pb.  When I try this, I recieve this message when trying to update pb. Has it been removed completely, or am I missing something?

 

Edit: Since you cant read the error:

Error #0100: ERROR: The update attempt failed because the file "http://websec.evenbalance.com:6080/downloads/cod4/pbsecsv.htm" is missing on the update servers. Please try again later.

55303b09b9bc9_pberror.png

Edited by Flezno

Share this post


Link to post
Share on other sites

Go to the cod4 section and look for the pinned thread about legacy PB support.

Share this post


Link to post
Share on other sites

Are you talking about the thread we are posting in?  I tried the steps in the video, copied the pbgame file and found cod4 in the list.  But when I select the game and it tries to update it, I receive that error.

Share this post


Link to post
Share on other sites

This looks like PB may have completely removed support including legacy support. I will look into it soon.

 

duc

Share this post


Link to post
Share on other sites

This looks like PB may have completely removed support including legacy support. I will look into it soon.

 

duc

Any chance for another workaround since this one is not working anymore?

Share this post


Link to post
Share on other sites